Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/InfosSection.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/InfosSection.java	(revision 512)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/InfosSection.java	(revision 513)
@@ -14,7 +14,7 @@
 import org.eclipse.ui.forms.widgets.TableWrapData;
 import org.eclipse.ui.forms.widgets.TableWrapLayout;
 import org.txm.objects.BaseParameters;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.utils.logger.Log;
 import org.w3c.dom.Element;
 
@@ -29,7 +29,7 @@
 		super(toolkit2, form2, parent, style);
 		
 		//this = toolkit.createSection(form.getBody(), ExpandableComposite.TITLE_BAR|ExpandableComposite.TWISTIE);
-		this.section.setText(Messages.CorpusPage_7);
+		this.section.setText(RCPMessages.CorpusPage_7);
 		section.setExpanded(true);
 		
 		TableWrapLayout layout = new TableWrapLayout();
@@ -48,11 +48,11 @@
 		sectionClient.setLayout(slayout);
 		this.section.setClient(sectionClient);
 
-		corpusNameLabel = toolkit.createLabel(sectionClient, Messages.CorpusPage_8, SWT.WRAP);
+		corpusNameLabel = toolkit.createLabel(sectionClient, RCPMessages.CorpusPage_8, SWT.WRAP);
 		TableWrapData gdata = new TableWrapData();
 		corpusNameLabel.setLayoutData(gdata);
 
-		Label label = toolkit.createLabel(sectionClient, Messages.CorpusPage_9, SWT.WRAP);
+		Label label = toolkit.createLabel(sectionClient, RCPMessages.CorpusPage_9, SWT.WRAP);
 		gdata = new TableWrapData();
 		label.setLayoutData(gdata);
 
@@ -69,7 +69,7 @@
 
 	@Override
 	public void update(BaseParameters params) {
-		section.setText(Messages.MainPage_3+" "+params.rootDir); //$NON-NLS-1$
+		section.setText(RCPMessages.MainPage_3+" "+params.rootDir); //$NON-NLS-1$
 		
 		corpusText.setText(params.getCorpusName());
 		
@@ -85,13 +85,13 @@
 	@Override
 	public boolean save(BaseParameters params) {
 		if (corpusText.getText().trim().length() == 0) {
-			System.out.println(Messages.CorpusPage_53);
+			System.out.println(RCPMessages.CorpusPage_53);
 			return false;
 		}
 		params.description = "<pre><br/>"+descText.getText().replace("\n", "<br/>")+"</pre>"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
 		//System.out.println("SAVE DESC WITH: '"+params.description+"'");
 		if (!corpusText.getText().matches("[A-Z][-A-Z0-9]{1,20}")) { //$NON-NLS-1$
-			System.out.println(Messages.CorpusPage_93+corpusText.getText());
+			System.out.println(RCPMessages.CorpusPage_93+corpusText.getText());
 			return false;
 		}
 		
@@ -114,7 +114,7 @@
 		String corpusname = corpusText.getText();
 		Log.warning("Checking corpus name validity with '[A-Z][-A-Z0-9]+': "+corpusname);
 		if (!corpusname.matches("[A-Z][-A-Z0-9]+")) { //$NON-NLS-1$
-			System.out.println(Messages.CorpusPage_93+corpusname);
+			System.out.println(RCPMessages.CorpusPage_93+corpusname);
 
 			Device device = Display.getCurrent ();
 			Color red = new Color (device, 255, 0, 0);
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/FrontXSLSection.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/FrontXSLSection.java	(revision 512)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/FrontXSLSection.java	(revision 513)
@@ -27,7 +27,7 @@
 import org.txm.Toolbox;
 import org.txm.core.preferences.TBXPreferences;
 import org.txm.objects.BaseParameters;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.commands.EditFile;
 import org.txm.rcp.editors.TableKeyListener;
 import org.txm.rcp.swt.dialog.LastOpened;
@@ -53,7 +53,7 @@
 		super(toolkit2, form2, parent, style);
 		this.params = params2;
 
-		this.section.setText(Messages.MainPage_18);
+		this.section.setText(RCPMessages.MainPage_18);
 		TableWrapLayout layout = new TableWrapLayout();
 		layout.makeColumnsEqualWidth = true;
 		this.section.setLayout(layout);
@@ -104,7 +104,7 @@
 			}
 		});
 
-		Button editXSLTButton = toolkit.createButton(sectionClient, Messages.CorpusPage_61, SWT.PUSH);
+		Button editXSLTButton = toolkit.createButton(sectionClient, RCPMessages.CorpusPage_61, SWT.PUSH);
 		editXSLTButton.setLayoutData(getButtonLayoutData());
 		editXSLTButton.addSelectionListener(new SelectionListener() {
 			@Override
@@ -122,7 +122,7 @@
 		Label l = toolkit.createLabel(sectionClient, ""); // empty cell //$NON-NLS-1$
 		l.setLayoutData(new TableWrapData(TableWrapData.FILL_GRAB, TableWrapData.MIDDLE));
 
-		Button addButton = toolkit.createButton(sectionClient, Messages.CorpusPage_4, SWT.PUSH);
+		Button addButton = toolkit.createButton(sectionClient, RCPMessages.CorpusPage_4, SWT.PUSH);
 		addButton.setLayoutData(getButtonLayoutData());
 		addButton.addSelectionListener(new SelectionListener() {
 			@Override
@@ -135,7 +135,7 @@
 				LinkedHashMap<String, String> values = new LinkedHashMap<String, String>();
 				values.put("name", ""); //$NON-NLS-1$ //$NON-NLS-2$
 				values.put("value", "");			 //$NON-NLS-1$ //$NON-NLS-2$
-				MultipleValueDialog dlg = new MultipleValueDialog(form.getShell(), Messages.CorpusPage_4, values);
+				MultipleValueDialog dlg = new MultipleValueDialog(form.getShell(), RCPMessages.CorpusPage_4, values);
 				if (dlg.open() == Window.OK) {
 					params.addXsltParameter(params.getCorpusElement(), values.get("name"), values.get("value")); //$NON-NLS-1$ //$NON-NLS-2$
 					update(params);
@@ -143,7 +143,7 @@
 			}
 		});
 
-		Button removeButton = toolkit.createButton(sectionClient, Messages.CorpusPage_6, SWT.PUSH);
+		Button removeButton = toolkit.createButton(sectionClient, RCPMessages.CorpusPage_6, SWT.PUSH);
 		TableWrapData td = getButtonLayoutData();
 		td.colspan = 3;
 		removeButton.setLayoutData(td);
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/LangSection.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/LangSection.java	(revision 512)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/LangSection.java	(revision 513)
@@ -15,7 +15,7 @@
 import org.eclipse.ui.forms.widgets.TableWrapData;
 import org.eclipse.ui.forms.widgets.TableWrapLayout;
 import org.txm.objects.BaseParameters;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 
 public class LangSection extends ImportEditorSection {
 	
@@ -30,7 +30,7 @@
 	public LangSection(FormToolkit toolkit2, ScrolledForm form2, Composite parent, int style) {
 		super(toolkit2, form2, parent, style);
 
-		this.section.setText(Messages.MainPage_20);
+		this.section.setText(RCPMessages.MainPage_20);
 		TableWrapLayout layout = new TableWrapLayout();
 		layout.makeColumnsEqualWidth = true;
 		this.section.setLayout(layout);
@@ -50,13 +50,13 @@
 		sectionClient.setLayout(slayout);
 		this.section.setClient(sectionClient);
 
-		btnSelectAnnotate = toolkit.createButton(sectionClient, Messages.CorpusPage_26, SWT.CHECK); 
+		btnSelectAnnotate = toolkit.createButton(sectionClient, RCPMessages.CorpusPage_26, SWT.CHECK); 
 		toolkit.createLabel(sectionClient, ""); //$NON-NLS-1$
 
-		btnGuessLang = toolkit.createButton(sectionClient, Messages.ImportDialog_16, SWT.RADIO);
+		btnGuessLang = toolkit.createButton(sectionClient, RCPMessages.ImportDialog_16, SWT.RADIO);
 		toolkit.createLabel(sectionClient, ""); //$NON-NLS-1$
 
-		btnSelectLang = toolkit.createButton(sectionClient, Messages.ImportDialog_22, SWT.RADIO);
+		btnSelectLang = toolkit.createButton(sectionClient, RCPMessages.ImportDialog_22, SWT.RADIO);
 
 		langcombo = new Combo(sectionClient, SWT.BORDER);
 		TableWrapData gdata = getTextGridData();
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/TextualPlansSection.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/TextualPlansSection.java	(revision 512)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/TextualPlansSection.java	(revision 513)
@@ -11,7 +11,7 @@
 import org.eclipse.ui.forms.widgets.TableWrapData;
 import org.eclipse.ui.forms.widgets.TableWrapLayout;
 import org.txm.objects.BaseParameters;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.w3c.dom.Element;
 
 public class TextualPlansSection extends ImportEditorSection {
@@ -25,7 +25,7 @@
 	public TextualPlansSection(FormToolkit toolkit2, ScrolledForm form2, Composite parent, int style) {
 		super(toolkit2, form2, parent, style);
 
-		this.section.setText(Messages.TextualPlansSection_title);
+		this.section.setText(RCPMessages.TextualPlansSection_title);
 		TableWrapLayout layout = new TableWrapLayout();
 		layout.makeColumnsEqualWidth = true;
 		this.section.setLayout(layout);
@@ -43,16 +43,16 @@
 		sectionClient.setLayout(slayout);
 		this.section.setClient(sectionClient);
 		
-		Label tmpLabel = toolkit.createLabel(sectionClient, Messages.TextualPlansSection_outsidetext_label);
-		tmpLabel.setToolTipText(Messages.TextualPlansSection_outsidetext_tooltip);
+		Label tmpLabel = toolkit.createLabel(sectionClient, RCPMessages.TextualPlansSection_outsidetext_label);
+		tmpLabel.setToolTipText(RCPMessages.TextualPlansSection_outsidetext_tooltip);
 		tmpLabel.setLayoutData(getLabelGridData());
 		
 		outsideTextElementsText = toolkit.createText(sectionClient, "teiHeader", SWT.BORDER); //$NON-NLS-1$
 		TableWrapData gdata = getTextGridData();
 		outsideTextElementsText.setLayoutData(gdata);
 		
-		Label tmpLabel2 = toolkit.createLabel(sectionClient, Messages.TextualPlansSection_outsidetexttoedit_label);
-		tmpLabel2.setToolTipText(Messages.TextualPlansSection_outsidetexttoedit_tooltip);
+		Label tmpLabel2 = toolkit.createLabel(sectionClient, RCPMessages.TextualPlansSection_outsidetexttoedit_label);
+		tmpLabel2.setToolTipText(RCPMessages.TextualPlansSection_outsidetexttoedit_tooltip);
 		tmpLabel2.setLayoutData(getLabelGridData());
 
 		outsideTextElementsToEditText = toolkit.createText(sectionClient, "", SWT.BORDER); //$NON-NLS-1$
@@ -67,8 +67,8 @@
 		gdata = getTextGridData();
 		noteElementsText.setLayoutData(gdata);
 		
-		Label tmpLabel4 = toolkit.createLabel(sectionClient, Messages.TextualPlansSection_milestone_label);
-		tmpLabel4.setToolTipText(Messages.TextualPlansSection_milestone_tooltip);
+		Label tmpLabel4 = toolkit.createLabel(sectionClient, RCPMessages.TextualPlansSection_milestone_label);
+		tmpLabel4.setToolTipText(RCPMessages.TextualPlansSection_milestone_tooltip);
 		tmpLabel4.setLayoutData(getLabelGridData());
 
 		milestoneElementsText = toolkit.createText(sectionClient, "", SWT.BORDER); //$NON-NLS-1$
@@ -96,7 +96,7 @@
 			if (milestonesElement != null)
 				milestoneElementsText.setText(milestonesElement.getTextContent());
 		} else {
-			System.out.println(Messages.TextualPlansSection_update_error);
+			System.out.println(RCPMessages.TextualPlansSection_update_error);
 		}
 	}
 
@@ -120,7 +120,7 @@
 				Element milestonesElement = params.getMilestonesElement();
 				milestonesElement.setTextContent(milestoneElementsText.getText().trim());
 			} else {
-				System.out.println(Messages.TextualPlansSection_save_error);
+				System.out.println(RCPMessages.TextualPlansSection_save_error);
 				return false;
 			}
 			return true;
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/EncodingSection.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/EncodingSection.java	(revision 512)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/EncodingSection.java	(revision 513)
@@ -16,7 +16,7 @@
 import org.eclipse.ui.forms.widgets.TableWrapData;
 import org.eclipse.ui.forms.widgets.TableWrapLayout;
 import org.txm.objects.BaseParameters;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 
 public class EncodingSection extends ImportEditorSection {
 	
@@ -29,7 +29,7 @@
 	public EncodingSection(FormToolkit toolkit2, ScrolledForm form2, Composite parent, int style) {
 		super(toolkit2, form2, parent, style);
 		
-		this.section.setText(Messages.MainPage_23);
+		this.section.setText(RCPMessages.MainPage_23);
 		TableWrapLayout layout = new TableWrapLayout();
 		layout.makeColumnsEqualWidth = true;
 		layout.numColumns = 1;
@@ -52,12 +52,12 @@
 		btnGuessEncoding = toolkit.createButton(sectionClient, "", SWT.RADIO); //$NON-NLS-1$
 		TableWrapData td = getButtonLayoutData();
 		btnGuessEncoding.setLayoutData(td);
-		btnGuessEncoding.setText(Messages.ImportDialog_16);
+		btnGuessEncoding.setText(RCPMessages.ImportDialog_16);
 		toolkit.createLabel(sectionClient, ""); //$NON-NLS-1$
 
 		btnSelectEncoding = toolkit.createButton(sectionClient, "", SWT.RADIO); //$NON-NLS-1$
 		btnSelectEncoding.setLayoutData(getButtonLayoutData());
-		btnSelectEncoding.setText(Messages.ImportDialog_22);
+		btnSelectEncoding.setText(RCPMessages.ImportDialog_22);
 
 		encodingCombo = new Combo(sectionClient, SWT.BORDER);
 		TableWrapData gdata = getTextGridData();
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/FontSection.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/FontSection.java	(revision 512)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/FontSection.java	(revision 513)
@@ -13,7 +13,7 @@
 import org.eclipse.ui.forms.widgets.TableWrapData;
 import org.eclipse.ui.forms.widgets.TableWrapLayout;
 import org.txm.objects.BaseParameters;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 
 public class FontSection extends ImportEditorSection {
 	
@@ -25,7 +25,7 @@
 	public FontSection(FormToolkit toolkit2, ScrolledForm form2, Composite parent, int style) {
 		super(toolkit2, form2, parent, style);
 
-		this.section.setText(Messages.CorpusPage_3);
+		this.section.setText(RCPMessages.CorpusPage_3);
 		TableWrapLayout layout = new TableWrapLayout();
 		layout.makeColumnsEqualWidth = true;
 		this.section.setLayout(layout);
@@ -45,7 +45,7 @@
 		sectionClient.setLayout(slayout);
 		this.section.setClient(sectionClient);
 
-		Label l = toolkit.createLabel(sectionClient, Messages.CorpusPage_57, SWT.WRAP);
+		Label l = toolkit.createLabel(sectionClient, RCPMessages.CorpusPage_57, SWT.WRAP);
 		l.setLayoutData(new TableWrapData(TableWrapData.LEFT, TableWrapData.MIDDLE));
 
 		fontCombo = new Combo(sectionClient, SWT.BORDER);
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/CorpusPage.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/CorpusPage.java	(revision 512)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/CorpusPage.java	(revision 513)
@@ -61,7 +61,7 @@
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.objects.BaseParameters;
 import org.txm.rcp.IImageKeys;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.commands.ExecuteImportScript;
 import org.txm.rcp.editors.imports.sections.EditionSection;
 import org.txm.rcp.editors.imports.sections.EncodingSection;
@@ -131,7 +131,7 @@
 	 * @param corpusname 
 	 */
 	public CorpusPage(ImportFormEditor editor) {
-		super(editor, Messages.CorpusPage_30, Messages.CorpusPage_30); 
+		super(editor, RCPMessages.CorpusPage_30, RCPMessages.CorpusPage_30); 
 		this.editor = editor;
 	}
 	
@@ -225,7 +225,7 @@
 		gdata.colspan = 2;
 		separatorLabel.setLayoutData(gdata);
 
-		Label mandatoryLabel = toolkit.createLabel(form.getBody(), Messages.CorpusPage_40, SWT.WRAP);
+		Label mandatoryLabel = toolkit.createLabel(form.getBody(), RCPMessages.CorpusPage_40, SWT.WRAP);
 		gdata = new TableWrapData(TableWrapData.FILL, TableWrapData.MIDDLE, 2,1);
 		gdata.colspan = 2;
 		mandatoryLabel.setLayoutData(gdata);
@@ -712,7 +712,7 @@
 
 		Label titleLabel = toolkit.createLabel(hyperlinks,"", SWT.WRAP); //$NON-NLS-1$
 		titleLabel.setLayoutData(new TableWrapData(TableWrapData.FILL, TableWrapData.TOP));
-		titleLabel.setText(NLS.bind(Messages.MainPage_2, 
+		titleLabel.setText(NLS.bind(RCPMessages.MainPage_2, 
 				ImportModuleCustomization.getName(editor.getGroovyScript().getName())));
 		FontData[] fD = titleLabel.getFont().getFontData();
 		fD[0].setHeight(16);
@@ -735,7 +735,7 @@
 						startImport();
 					}
 				} else 
-					System.out.println(Messages.CorpusPage_66);
+					System.out.println(RCPMessages.CorpusPage_66);
 			}
 		};
 
@@ -757,9 +757,9 @@
 		RowLayout hLayout = new RowLayout();
 		hLayout.center = true;
 		line1.setLayout(hLayout);
-		toolkit.createLabel(line1, Messages.CorpusPage_35, SWT.WRAP);
+		toolkit.createLabel(line1, RCPMessages.CorpusPage_35, SWT.WRAP);
 
-		Hyperlink hyperlink1 = toolkit.createHyperlink(line1, Messages.CorpusPage_37, SWT.WRAP);
+		Hyperlink hyperlink1 = toolkit.createHyperlink(line1, RCPMessages.CorpusPage_37, SWT.WRAP);
 		hyperlink1.addHyperlinkListener(selectDirHListener);
 
 		ImageHyperlink openImportLink2 = toolkit.createImageHyperlink(line1, SWT.WRAP);
@@ -773,8 +773,8 @@
 		hLayout = new RowLayout();
 		hLayout.center = true;
 		line2.setLayout(hLayout);
-		toolkit.createLabel(line2, Messages.CorpusPage_38, SWT.WRAP);
-		toolkit.createLabel(line2, Messages.CorpusPage_39, SWT.WRAP);
+		toolkit.createLabel(line2, RCPMessages.CorpusPage_38, SWT.WRAP);
+		toolkit.createLabel(line2, RCPMessages.CorpusPage_39, SWT.WRAP);
 
 		Composite line4 = toolkit.createComposite(form.getBody());
 		gdata = new TableWrapData(TableWrapData.LEFT, TableWrapData.FILL, 2, 1);
@@ -783,8 +783,8 @@
 		hLayout = new RowLayout();
 		hLayout.center = true;
 		line4.setLayout(hLayout);
-		toolkit.createLabel(line4, Messages.CorpusPage_42);
-		Hyperlink hyperlink3 = toolkit.createHyperlink(line4, Messages.CorpusPage_43, SWT.WRAP);
+		toolkit.createLabel(line4, RCPMessages.CorpusPage_42);
+		Hyperlink hyperlink3 = toolkit.createHyperlink(line4, RCPMessages.CorpusPage_43, SWT.WRAP);
 		hyperlink3.addHyperlinkListener(startImportListener);
 		ImageHyperlink startImportLink2 = toolkit.createImageHyperlink(line4, SWT.NULL);
 		startImportLink2.setImage(IImageKeys.getImage(IImageKeys.START));
@@ -811,15 +811,15 @@
 			String basename = srcDir.getName();
 			basename = AsciiUtils.buildId(basename).toUpperCase(); // force binary corpus name to uppercase
 			if (basename.length() == 0) {
-				System.out.println(Messages.CorpusPage_92+basename);
+				System.out.println(RCPMessages.CorpusPage_92+basename);
 				return;
 			}
 			
-			Log.warning(Messages.CorpusPage_46);
+			Log.warning(RCPMessages.CorpusPage_46);
 			BaseParameters.createEmptyParams(paramFile, basename);
 		}
 		if (!paramFile.exists()) {
-			System.out.println(Messages.CorpusPage_47);
+			System.out.println(RCPMessages.CorpusPage_47);
 			return;
 		}
 		params = new BaseParameters(paramFile);
@@ -829,14 +829,14 @@
 		// force root directory to the selected source directory, see the #1263 ticket
 		params.rootDir = srcDir.getAbsolutePath(); 
 		
-		System.out.println(Messages.CorpusPage_48 + paramFile);
+		System.out.println(RCPMessages.CorpusPage_48 + paramFile);
 		Log.info("Params: "+params); //$NON-NLS-1$
 
 		File metadataFile = new File(params.rootDir, "metadata.csv"); //$NON-NLS-1$
 		if (metadataFile.exists())
 			this.editor.getMetaPage().setMetadataFile(metadataFile);
 
-		Log.info(Messages.CorpusPage_50+moduleParams);
+		Log.info(RCPMessages.CorpusPage_50+moduleParams);
 		this.setPartName(params.getCorpusName());
 
 		if (infosSection != null && !infosSection.isDisposed()) {
@@ -906,7 +906,7 @@
 	 * @return
 	 */
 	public boolean saveConfig() {
-		System.out.println(Messages.CorpusPage_52);
+		System.out.println(RCPMessages.CorpusPage_52);
 		
 		params.rootDir = srcDir.getAbsolutePath();
 		params.scriptFile = editor.getGroovyScript().getName();
@@ -1019,12 +1019,12 @@
 			srcDir = new File(path);
 
 			if (!srcDir.isDirectory()) {
-				System.out.println(Messages.CorpusPage_90+srcDir);
+				System.out.println(RCPMessages.CorpusPage_90+srcDir);
 				return;
 			}
 
 			if (!(srcDir.canRead() && srcDir.canExecute())) {
-				System.out.println(Messages.CorpusPage_91+srcDir);
+				System.out.println(RCPMessages.CorpusPage_91+srcDir);
 				return;
 			}
 			
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/input/AbstractSVGGraphicable.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/input/AbstractSVGGraphicable.java	(revision 512)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/input/AbstractSVGGraphicable.java	(revision 513)
@@ -34,7 +34,7 @@
 import org.eclipse.core.runtime.Path;
 import org.txm.Toolbox;
 import org.txm.core.preferences.TBXPreferences;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.editors.SVGGraphicable;
 import org.txm.utils.logger.Log;
 
@@ -71,14 +71,14 @@
 				resultDir.mkdirs();
 				tmp = File.createTempFile("txm", ".svg", resultDir); //$NON-NLS-1$ //$NON-NLS-2$
 			} catch (IOException e) {
-				Log.severe(Messages.CANT_CREATE_GRAPHIC + e);
+				Log.severe(RCPMessages.CANT_CREATE_GRAPHIC + e);
 			}
 			// System.out.println(tmp.getAbsolutePath());
 			doSVGGraphic(tmp);
 			try {
 				this.path = Path.fromOSString(tmp.getCanonicalPath());
 			} catch (IOException e) {
-				Log.severe(Messages.CANT_CREATE_GRAPHIC + e);
+				Log.severe(RCPMessages.CANT_CREATE_GRAPHIC + e);
 			}
 		}
 		return this.path;
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TxtEditor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TxtEditor.java	(revision 512)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TxtEditor.java	(revision 513)
@@ -43,7 +43,7 @@
 import org.eclipse.ui.editors.text.TextEditor;
 import org.eclipse.ui.ide.FileStoreEditorInput;
 import org.txm.core.results.TXMResult;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.utils.CharsetDetector;
 
@@ -113,7 +113,7 @@
 			if (encoding != null && encodingSupport != null) {
 				try {
 					encodingSupport.setEncoding(encoding);
-					System.out.println(Messages.TxtEditor_0+f+Messages.TxtEditor_1+encoding);
+					System.out.println(RCPMessages.TxtEditor_0+f+RCPMessages.TxtEditor_1+encoding);
 				} catch(Throwable e) { }
 
 			}
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMMultiPageEditor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMMultiPageEditor.java	(revision 512)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMMultiPageEditor.java	(revision 513)
@@ -36,7 +36,7 @@
 import org.eclipse.ui.part.EditorPart;
 import org.eclipse.ui.part.MultiPageEditorPart;
 import org.txm.core.results.TXMResult;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.editors.input.IProvidingMultiPageEditorInput;
 
 /**
@@ -80,7 +80,7 @@
 		IEditorInput input = getEditorInput();
 		if (!(input instanceof IProvidingMultiPageEditorInput)) {
 			throw new IllegalArgumentException(NLS.bind(
-					Messages.GenericMultiPageEditor_1, input.getName()));
+					RCPMessages.GenericMultiPageEditor_1, input.getName()));
 		}
 
 		editors = ((IProvidingMultiPageEditorInput) input).getEditors();
@@ -89,7 +89,7 @@
 
 		if (editors.size() != inputs.size()) {
 			throw new IllegalArgumentException(NLS.bind(
-					Messages.GenericMultiPageEditor_3, editors.size(), inputs.size()));
+					RCPMessages.GenericMultiPageEditor_3, editors.size(), inputs.size()));
 		}
 
 		for (int i = 0; i < editors.size(); i++) {
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/provider/ElementTreeLabelProvider.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/provider/ElementTreeLabelProvider.java	(revision 512)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/provider/ElementTreeLabelProvider.java	(revision 513)
@@ -3,7 +3,7 @@
 import org.eclipse.jface.viewers.ColumnLabelProvider;
 import org.eclipse.swt.graphics.Image;
 import org.w3c.dom.Element;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 
 public class ElementTreeLabelProvider extends ColumnLabelProvider {
 	
@@ -31,11 +31,11 @@
 			} else if (elem.getNodeName().equals(childName)) {
 				return show(elem, index, childAttrs);
 			} else {
-				return Messages.ElementTreeLabelProvider_0;
+				return RCPMessages.ElementTreeLabelProvider_0;
 			}
 			
 		}
-		return Messages.ElementTreeLabelProvider_1;
+		return RCPMessages.ElementTreeLabelProvider_1;
 	}
 
 	private String show(Element elem, int index, String[] attrs) {
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/ViewPropertySelectionDialog.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/ViewPropertySelectionDialog.java	(revision 512)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/ViewPropertySelectionDialog.java	(revision 513)
@@ -42,7 +42,7 @@
 import org.eclipse.swt.widgets.Composite;
 import org.eclipse.swt.widgets.Control;
 import org.eclipse.swt.widgets.Shell;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.searchengine.cqp.corpus.Property;
 import org.txm.searchengine.cqp.corpus.StructuralUnitProperty;
 
@@ -135,7 +135,7 @@
 	@Override
 	protected void configureShell(Shell newShell) {
 		super.configureShell(newShell);
-		newShell.setText(Messages.ViewPropertySelectionDialog_0);
+		newShell.setText(RCPMessages.ViewPropertySelectionDialog_0);
 		newShell.setMinimumSize(300, 200);
 	}
 
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/EmpantWidget.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/EmpantWidget.java	(revision 512)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/EmpantWidget.java	(revision 513)
@@ -37,7 +37,7 @@
 import org.eclipse.swt.widgets.Composite;
 import org.eclipse.swt.widgets.Label;
 import org.eclipse.swt.widgets.Spinner;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.searchengine.cqp.corpus.StructuralUnit;
@@ -108,10 +108,10 @@
 		
 		
 		Label l = new Label(line1, SWT.NONE);
-		l.setText(Messages.EmpantWidget_0);
+		l.setText(RCPMessages.EmpantWidget_0);
 
 		wordType = new Button(line1, SWT.RADIO);
-		wordType.setText(Messages.EmpantWidget_1);
+		wordType.setText(RCPMessages.EmpantWidget_1);
 		wordType.addSelectionListener(new SelectionListener() {
 			@Override
 			public void widgetSelected(SelectionEvent e) {
@@ -126,7 +126,7 @@
 		wordType.setSelection(true);
 
 		structType = new Button(line1, SWT.RADIO);
-		structType.setText(Messages.EmpantWidget_2);
+		structType.setText(RCPMessages.EmpantWidget_2);
 		structType.addSelectionListener(new SelectionListener() {
 			@Override
 			public void widgetSelected(SelectionEvent e) {
@@ -146,7 +146,7 @@
 
 		checkLeft = new Button(line1, SWT.CHECK);
 		checkLeft.setSelection(true);
-		checkLeft.setText(Messages.EmpantWidget_8);
+		checkLeft.setText(RCPMessages.EmpantWidget_8);
 		checkLeft.addSelectionListener(new SelectionListener() {
 			@Override
 			public void widgetSelected(SelectionEvent e) {
@@ -161,7 +161,7 @@
 		
 		checkRight = new Button(line1, SWT.CHECK);
 		checkRight.setSelection(true);
-		checkRight.setText(Messages.EmpantWidget_9);
+		checkRight.setText(RCPMessages.EmpantWidget_9);
 		checkRight.addSelectionListener(new SelectionListener() {
 			@Override
 			public void widgetSelected(SelectionEvent e) {
@@ -175,12 +175,12 @@
 		});
 		
 		checkXword = new Button(line1, SWT.CHECK);
-		checkXword.setText(Messages.EmpantWidget_7);
+		checkXword.setText(RCPMessages.EmpantWidget_7);
 
 		
 		// LINE 2
 		l = new Label(line2, SWT.NONE);
-		l.setText(Messages.EmpantWidget_3);
+		l.setText(RCPMessages.EmpantWidget_3);
 
 		// | [ ] [ ] [ |v] [ ] [ ] |
 		maxLeft = new Spinner(line2, SWT.BORDER);
@@ -200,7 +200,7 @@
 		});
 
 		l = new Label(line2, SWT.NONE);
-		l.setText(Messages.EmpantWidget_4);
+		l.setText(RCPMessages.EmpantWidget_4);
 
 		minLeft = new Spinner(line2, SWT.BORDER);
 		minLeft.setMinimum(0);
@@ -219,7 +219,7 @@
 		});
 				
 		l = new Label(line2, SWT.NONE);
-		l.setText(Messages.EmpantWidget_5);
+		l.setText(RCPMessages.EmpantWidget_5);
 
 		// [>]
 		minRight = new Spinner(line2, SWT.BORDER);
@@ -239,7 +239,7 @@
 		});
 
 		l = new Label(line2, SWT.NONE);
-		l.setText(Messages.EmpantWidget_6);
+		l.setText(RCPMessages.EmpantWidget_6);
 
 		// [>|]
 		maxRight = new Spinner(line2, SWT.BORDER);
